> ## Documentation Index
> Fetch the complete documentation index at: https://docs-slidekit.theduomi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore template

> Restore a soft-deleted template.



## OpenAPI

````yaml /openapi/powerpoint-api.json post /api/v1/templates/{template_id}/restore
openapi: 3.1.0
info:
  title: SlideKit
  description: >-
    A comprehensive API for PowerPoint template management and presentation
    generation
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/templates/{template_id}/restore:
    post:
      tags:
        - templates
      summary: Restore template
      description: Restore a soft-deleted template.
      operationId: restore_template_api_v1_templates__template_id__restore_post
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            title: Template Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    TemplateResponse:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        download_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Download Url
        download_url_expires_in:
          anyOf:
            - type: integer
            - type: 'null'
          title: Download Url Expires In
        filename:
          type: string
          title: Filename
        file_size:
          type: integer
          title: File Size
        file_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: File Hash
        file_hash_algorithm:
          anyOf:
            - type: string
            - type: 'null'
          title: File Hash Algorithm
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Type
        template_id:
          type: string
          title: Template Id
        org_name:
          type: string
          title: Org Name
        status:
          type: string
          title: Status
        metadata:
          $ref: '#/components/schemas/TemplateMetadata'
      type: object
      required:
        - created_at
        - updated_at
        - filename
        - file_size
        - template_id
        - org_name
        - status
        - metadata
      title: TemplateResponse
      description: Template response schema.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TemplateMetadata:
      properties:
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        tags:
          items:
            type: string
          type: array
          title: Tags
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
      type: object
      title: TemplateMetadata
      description: Template metadata.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        Production API key. Development/test deployments may also allow
        X-Org-Name.

````